## snacc 1.3bbn

=== c++-lib/src/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ../..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/snacc
pkglibdir = $(libdir)/snacc
pkgincludedir = $(includedir)/snacc

top_builddir = ../..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i386-unknown-freebsdelf3.2
host_triplet = i386-unknown-freebsdelf3.2
AS = @AS@
CC = gcc
CXX = c++
DLLTOOL = @DLLTOOL@
LD = /usr/libexec/elf/ld
LEX = flex
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = makeinfo
NM = /usr/bin/nm -B
OBJDUMP = @OBJDUMP@
PACKAGE = snacc
RANLIB = ranlib
VERSION = 1.3
YACC = bison -y

AUTOMAKE_OPTIONS = 1.4 foreign

# This Makefile is never actually run - it exists to generate a
# template Makefile.in that configure modifies into Makefiles for the
# c++ and tcl build directories:

lib_LTLIBRARIES = libasn1cxxtcl.la
BUILT_SOURCES = asn-useful.C asn-useful.h
libasn1cxxtcl_la_SOURCES = asn-any.C asn-bits.C asn-bool.C asn-enum.C 	asn-int.C asn-len.C asn-list.C asn-null.C asn-octs.C asn-oid.C 	asn-real.C asn-tag.C asn-type.C hash.C meta.C print.C 	tcl-if.C str-stk.C tkAppInit.c $(BUILT_SOURCES)

cxxpkgincludedir = $(pkgincludedir)/c++
cxxpkginclude_HEADERS = asn-useful.h
INCLUDES = -I$(top_srcdir)/c++-lib/inc $(BUFFLAGS)

ASN1_SRC_DIR = $(top_srcdir)/asn1specs
COMPILERDIR = $(top_srcdir)/compiler/core
SNACC = $(COMPILERDIR)/snacc
USEFUL_TYPES = $(ASN1_SRC_DIR)/asn-useful.asn1
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES = 
LTLIBRARIES =  $(lib_LTLIBRARIES)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I../..
CPPFLAGS = 
LDFLAGS = 
LIBS = -lm 
X_CFLAGS =  -I/usr/X11R6/include
X_LIBS =  -L/usr/X11R6/lib
X_EXTRA_LIBS = 
X_PRE_LIBS =  -lSM -lICE
libasn1cxxtcl_la_LDFLAGS = 
libasn1cxxtcl_la_LIBADD = 
libasn1cxxtcl_la_OBJECTS =  asn-any.lo asn-bits.lo asn-bool.lo \
asn-enum.lo asn-int.lo asn-len.lo asn-list.lo asn-null.lo asn-octs.lo \
asn-oid.lo asn-real.lo asn-tag.lo asn-type.lo hash.lo meta.lo print.lo \
tcl-if.lo str-stk.lo tkAppInit.lo asn-useful.lo
CXXFLAGS = -g -O2
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@
CFLAGS = -g -O2 -DFLEX_IN_USE
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
HEADERS =  $(cxxpkginclude_HEADERS)

DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
DEP_FILES =  .deps/asn-any.P .deps/asn-bits.P .deps/asn-bool.P \
.deps/asn-enum.P .deps/asn-int.P .deps/asn-len.P .deps/asn-list.P \
.deps/asn-null.P .deps/asn-octs.P .deps/asn-oid.P .deps/asn-real.P \
.deps/asn-tag.P .deps/asn-type.P .deps/asn-useful.P .deps/hash.P \
.deps/meta.P .deps/print.P .deps/str-stk.P .deps/tcl-if.P \
.deps/tkAppInit.P
SOURCES = $(libasn1cxxtcl_la_SOURCES)
OBJECTS = $(libasn1cxxtcl_la_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .C .S .c .lo .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --foreign c++-lib/src/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-libLTLIBRARIES:

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)

distclean-libLTLIBRARIES:

maintainer-clean-libLTLIBRARIES:

install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(libdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(libdir)/$$p; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

libasn1cxxtcl.la: $(libasn1cxxtcl_la_OBJECTS) $(libasn1cxxtcl_la_DEPENDENCIES)
	$(CXXLINK) -rpath $(libdir) $(libasn1cxxtcl_la_LDFLAGS) $(libasn1cxxtcl_la_OBJECTS) $(libasn1cxxtcl_la_LIBADD) $(LIBS)
.C.o:
	$(CXXCOMPILE) -c $<
.C.lo:
	$(LTCXXCOMPILE) -c $<

install-cxxpkgincludeHEADERS: $(cxxpkginclude_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(cxxpkgincludedir)
	@list='$(cxxpkginclude_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d= ; else d="$(srcdir)/"; fi; \
	  echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(cxxpkgincludedir)/$$p"; \
	  $(INSTALL_DATA) $$d$$p $(DESTDIR)$(cxxpkgincludedir)/$$p; \
	done

uninstall-cxxpkgincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	list='$(cxxpkginclude_HEADERS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(cxxpkgincludedir)/$$p; \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = c++-lib/src

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --foreign c++-lib/src/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) top_distdir="$(top_distdir)" distdir="$(distdir)" dist-hook

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:
	-rm -rf .deps

maintainer-clean-depend:

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp

%.o: %.C
	@echo '$(CXXCOMPILE) -c $<'; \
	$(CXXCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.C
	@echo '$(LTCXXCOMPILE) -c $<'; \
	$(LTCXXCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-libLTLIBRARIES
install-exec: install-exec-am

install-data-am: install-cxxpkgincludeHEADERS
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-libLTLIBRARIES uninstall-cxxpkgincludeHEADERS
uninstall: uninstall-am
all-am: Makefile $(LTLIBRARIES) $(HEADERS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(libdir) $(DESTDIR)$(cxxpkgincludedir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean-am:  mostlyclean-libLTLIBRARIES mostlyclean-compile \
		mostlyclean-libtool mostlyclean-tags mostlyclean-depend \
		mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-libLTLIBRARIES clean-compile clean-libtool clean-tags \
		clean-depend clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-libLTLIBRARIES distclean-compile \
		distclean-libtool distclean-tags distclean-depend \
		distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-libLTLIBRARIES \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-depend \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-libLTLIBRARIES distclean-libLTLIBRARIES \
clean-libLTLIBRARIES maintainer-clean-libLTLIBRARIES \
uninstall-libLTLIBRARIES install-libLTLIBRARIES mostlyclean-compile \
distclean-compile clean-compile maintainer-clean-compile \
mostlyclean-libtool distclean-libtool clean-libtool \
maintainer-clean-libtool uninstall-cxxpkgincludeHEADERS \
install-cxxpkgincludeHEADERS tags mostlyclean-tags distclean-tags \

=== c-lib/src/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ../..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/snacc
pkglibdir = $(libdir)/snacc
pkgincludedir = $(includedir)/snacc

top_builddir = ../..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i386-unknown-freebsdelf3.2
host_triplet = i386-unknown-freebsdelf3.2
AS = @AS@
CC = gcc
CXX = c++
DLLTOOL = @DLLTOOL@
LD = /usr/libexec/elf/ld
LEX = flex
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = makeinfo
NM = /usr/bin/nm -B
OBJDUMP = @OBJDUMP@
PACKAGE = snacc
RANLIB = ranlib
VERSION = 1.3
YACC = bison -y

AUTOMAKE_OPTIONS = 1.4 foreign

# This Makefile is never actually run - it exists to generate a
# template Makefile.in that configure modifies into Makefiles for the
# buffer-type build directories:

lib_LTLIBRARIES = libasn1cbuf.la
BUILT_SOURCES = asn-useful.c asn-useful.h tbl.h tbl.c
libasn1cbuf_la_SOURCES = asn-any.c asn-len.c asn-real.c print.c tbl-enc.c 	asn-bits.c asn-list.c asn-tag.c tbl-free.c 	asn-bool.c asn-null.c exp-buf.c str-stk.c tbl-gen.c 	asn-enum.c asn-octs.c hash.c tbl-dbg.c tbl-print.c 	asn-int.c asn-oid.c sbuf.c nibble-alloc.c tbl-dec.c tbl-util.c $(BUILT_SOURCES)

cpkgincludedir = $(pkgincludedir)/c
cpkginclude_HEADERS = asn-useful.h tbl.h
INCLUDES = -I$(top_srcdir)/c-lib/inc $(BUFFLAGS)

COMPILERDIR = $(top_srcdir)/compiler
SNACC = $(COMPILERDIR)/core/snacc
ASN1_SRC_DIR = $(top_srcdir)/asn1specs
USEFUL_TYPES = $(ASN1_SRC_DIR)/asn-useful.asn1
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES = 
LTLIBRARIES =  $(lib_LTLIBRARIES)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I../..
CPPFLAGS = 
LDFLAGS = 
LIBS = -lm 
X_CFLAGS =  -I/usr/X11R6/include
X_LIBS =  -L/usr/X11R6/lib
X_EXTRA_LIBS = 
X_PRE_LIBS =  -lSM -lICE
libasn1cbuf_la_LDFLAGS = 
libasn1cbuf_la_LIBADD = 
libasn1cbuf_la_OBJECTS =  asn-any.lo asn-len.lo asn-real.lo print.lo \
tbl-enc.lo asn-bits.lo asn-list.lo asn-tag.lo tbl-free.lo asn-bool.lo \
asn-null.lo exp-buf.lo str-stk.lo tbl-gen.lo asn-enum.lo asn-octs.lo \
hash.lo tbl-dbg.lo tbl-print.lo asn-int.lo asn-oid.lo sbuf.lo \
nibble-alloc.lo tbl-dec.lo tbl-util.lo asn-useful.lo tbl.lo
CFLAGS = -g -O2 -DFLEX_IN_USE
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
HEADERS =  $(cpkginclude_HEADERS)

DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
DEP_FILES =  .deps/asn-any.P .deps/asn-bits.P .deps/asn-bool.P \
.deps/asn-enum.P .deps/asn-int.P .deps/asn-len.P .deps/asn-list.P \
.deps/asn-null.P .deps/asn-octs.P .deps/asn-oid.P .deps/asn-real.P \
.deps/asn-tag.P .deps/asn-useful.P .deps/exp-buf.P .deps/hash.P \
.deps/nibble-alloc.P .deps/print.P .deps/sbuf.P .deps/str-stk.P \
.deps/tbl-dbg.P .deps/tbl-dec.P .deps/tbl-enc.P .deps/tbl-free.P \
.deps/tbl-gen.P .deps/tbl-print.P .deps/tbl-util.P .deps/tbl.P
SOURCES = $(libasn1cbuf_la_SOURCES)
OBJECTS = $(libasn1cbuf_la_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .lo .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --foreign c-lib/src/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-libLTLIBRARIES:

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)

distclean-libLTLIBRARIES:

maintainer-clean-libLTLIBRARIES:

install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(libdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(libdir)/$$p; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

libasn1cbuf.la: $(libasn1cbuf_la_OBJECTS) $(libasn1cbuf_la_DEPENDENCIES)
	$(LINK) -rpath $(libdir) $(libasn1cbuf_la_LDFLAGS) $(libasn1cbuf_la_OBJECTS) $(libasn1cbuf_la_LIBADD) $(LIBS)

install-cpkgincludeHEADERS: $(cpkginclude_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(cpkgincludedir)
	@list='$(cpkginclude_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d= ; else d="$(srcdir)/"; fi; \
	  echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(cpkgincludedir)/$$p"; \
	  $(INSTALL_DATA) $$d$$p $(DESTDIR)$(cpkgincludedir)/$$p; \
	done

uninstall-cpkgincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	list='$(cpkginclude_HEADERS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(cpkgincludedir)/$$p; \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = c-lib/src

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --foreign c-lib/src/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) top_distdir="$(top_distdir)" distdir="$(distdir)" dist-hook

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:
	-rm -rf .deps

maintainer-clean-depend:

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-libLTLIBRARIES
install-exec: install-exec-am

install-data-am: install-cpkgincludeHEADERS
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-libLTLIBRARIES uninstall-cpkgincludeHEADERS
uninstall: uninstall-am
all-am: Makefile $(LTLIBRARIES) $(HEADERS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(libdir) $(DESTDIR)$(cpkgincludedir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean-am:  mostlyclean-libLTLIBRARIES mostlyclean-compile \
		mostlyclean-libtool mostlyclean-tags mostlyclean-depend \
		mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-libLTLIBRARIES clean-compile clean-libtool clean-tags \
		clean-depend clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-libLTLIBRARIES distclean-compile \
		distclean-libtool distclean-tags distclean-depend \
		distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-libLTLIBRARIES \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-depend \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-libLTLIBRARIES distclean-libLTLIBRARIES \
clean-libLTLIBRARIES maintainer-clean-libLTLIBRARIES \
uninstall-libLTLIBRARIES install-libLTLIBRARIES mostlyclean-compile \
distclean-compile clean-compile maintainer-clean-compile \
mostlyclean-libtool distclean-libtool clean-libtool \
maintainer-clean-libtool uninstall-cpkgincludeHEADERS \
install-cpkgincludeHEADERS tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir mostlyclean-depend \
distclean-depend clean-depend maintainer-clean-depend info-am info \
dvi-am dvi check check-am installcheck-am installcheck install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


# dependency to get the built sources made:
# NB: tbl-enc.lo was chosen because it is the first object referenced
# by libasn1cbuf_la_SOURCES that requires the built sources.
tbl-enc.lo: $(BUILT_SOURCES)

# target to make asn-useful.c and asn-useful.h:
asn-useful.h asn-useful.c: $(SNACC) $(USEFUL_TYPES)
	$(SNACC) -c -l 50 $(USEFUL_TYPES)

# target to make tbl.c and tbl.h:

## snacc 1.3.1

=== debian/changelog ===
snacc (1.3.1-10) unstable; urgency=medium

  * QA upload.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1065981, #1066242)
  * Mark some symbols as optional if LTO is used.  (Closes: #1015664)
  * Fix building twice in a row.  (Closes: #1046185)
  * Enable all hardening flags.
  * Add upstream metadata.
  * Update watch file.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 04 Apr 2024 16:03:06 +0200

snacc (1.3.1-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062905

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 16:54:20 +0000

snacc (1.3.1-9) unstable; urgency=medium

  * QA upload.
  * debian/patches: Remove timestamps from generated headers.
    (Closes: #1010379)
  * debian/control: Update Vcs-* headers.
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/changelog: Remove trailing whitespace.
  * Update to debhelper-compat 13.
  * Remove dh-autoreconf, now the default with debhelper compat 13.
  * debian/rules: Pass --no-parallel to dh.
  * debian/rules: Add dh_missing override to pass --list-missing.
  * debian/control: Update Standards-Version to 4.6.0.
  * snacc-doc: Update location of snacc-a5.ps
  * debian/control: Drop Build-Depends on autotools-dev, now the default
    debhelper compat 13.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 29 Apr 2022 18:33:59 -0700

snacc (1.3.1-8) unstable; urgency=medium

  * Orphaning the package

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 20 Jan 2022 23:11:22 +0100

snacc (1.3.1-7) unstable; urgency=medium

  * Build-depend on libfl-dev (Closes: #846447)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 01 Dec 2016 13:54:13 +0100

snacc (1.3.1-6) unstable; urgency=medium

  * Add symbols file
  * Simplify paths in *.install files
  * Covert package to use Debhelper
  * Update d/control using cme fix

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 15 Oct 2016 18:41:50 +0200

snacc (1.3.1-5) unstable; urgency=medium

  * Fix FTBFS by using -O0 in build (Closes: #746913)

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 26 May 2014 21:23:02 +0200

snacc (1.3.1-4) unstable; urgency=low

  * debian/control
    - bump standards version to 3.9.4, no change was needed
    - remove DM-Upload-Allowed field
  * override package-name-doesnt-match-sonames Lintian warning
  * pick 01_Fix-options-parsing-in-snacc.patch and
    02_Fix-printing-version-information-in-berdecode.patch from upstream
    to fix crashes reported by The Mayhem Team

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 30 Jun 2013 22:47:59 +0200

snacc (1.3.1-2) unstable; urgency=low

  [ Bart Martens ]
  * add watch file

  [ Balint Reczey ]
  * multiarch support

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 07 Jan 2013 18:49:00 +0100

snacc (1.3.1-1) unstable; urgency=low

  * Adopting the package (Closes: #572884)
  * New upstream release 1.3.1 from new upstream
    - fix autoreconf warnings (Closes: #506439)
    - fix FTBS with -Werror=format-security (Closes: #654403)
    - use std::endl in asn-len.h (Closes: #547784)
  * Depend on dh-autoreconf instead of automake1.7 and autoconf
    (Closes:#648590, #628346)
  * Don't ship .la files in libsnacc-dev
  * Depend on debhelper >= 9
  * Use dh_clean for make clean
  * Drop simple patch system

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 11 Mar 2012 20:40:57 +0100

snacc (1.3bbn-10) unstable; urgency=low

  * Endorse NMUs (closes: #374045, #377083, #394709, #418476, #424249, #442873).
  * New (= old) maintainer, because team does not exist.
  * Fixed some lintians.
  * Removed TeX source files from snacc-doc binary package.

 -- W. Martin Borgert <debacle@debian.org>  Tue, 22 Jul 2008 18:08:21 +0000

snacc (1.3bbn-9.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules
    - updated clean target (Closes: #424249)
    - added removal for usr/share/doc/snacc-doc in snacc (Closes: #418476)
  * debian/control
    - bump Suggest to automake1.7 (to follow what's in build-dep) (Closes:
      #394709)
    - updated libsnacc-dev to use ${binary:Version} for depends over libsnacc0c2
  * debian/patches/bts-442873.patch
    - added (Closes: #442873)
  * debian/snacc-doc.doc-base
    - fixed Section to Programming
  * debian/copyright
    - updated FSF address

 -- Sandro Tosi <matrixhasu@gmail.com>  Wed, 16 Apr 2008 01:42:50 +0200

snacc (1.3bbn-9.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Fix kshism.  Closes: #377083.

 -- Matej Vela <vela@debian.org>  Wed,  9 Aug 2006 14:52:26 +0200

snacc (1.3bbn-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules:
    - Use automake-1.7 even if /usr/bin/automake points to a different
      version.  Closes: #374045.
    - cdbs seems to have changed the default patch level for new files;
      adjust $(DEB_INSTALL_EXAMPLES_libsnacc-dev).
  * Change libsnacc-dev section to libdevel in accordance with the
    override file.

 -- Matej Vela <vela@debian.org>  Wed,  5 Jul 2006 09:30:10 +0200

snacc (1.3bbn-9) unstable; urgency=low

  * Now build-depends on libtool (closes: #321199).

 -- W. Borgert <debacle@debian.org>  Thu, 04 Aug 2005 18:40:05 +0000

snacc (1.3bbn-8) unstable; urgency=low

  * New maintainer:
    Debian FDT tool team <pkg-fdt-tools-team@lists.alioth.debian.org>,
    mainly Martin v. Löwis <martin@v.loewis.de>.
    (Closes: #204807).
    FDT = Formal Description Technique (e.g. ASN.1, MSC, SDL, TTCN-3)
  * Port to standard C++ library (Martin).
  * Rebuild for new C++ ABI (Martin).
  * Replace EOC with EOC_TAG_ID (Martin) (Closes: #307760).
  * Build uses CDBS, divided earlier changes in clean patches (me).
  * Removed -dbg package temporarily (me).
  * Fixes FTBFS on amd64 (Closes: #277690), thanks to Kurt Roeckx
    <Q@ping.be> for reporting and Larry Doolittle
    <ldoolitt@recycle.lbl.gov> for the patch.



=== debian/control ===
Source: snacc
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: devel
Priority: optional
Build-Depends:
               debhelper-compat (= 13),
               bison,
               flex,
 libfl-dev,
               docbook-xsl (>= 1.60),
 xsltproc,
# prevent accidental backports after the 64-bit time_t transition
 dpkg-dev (>= 1.22.5),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/snacc
Vcs-Git: https://salsa.debian.org/debian/snacc.git
Homepage: https://github.com/nexgenta/snacc

Package: snacc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: libsnacc-dev,
            snacc-doc
Suggests: automake
Description: ASN.1 to C or C++ or IDL compiler
 Snacc is short for "Sample Neufeld ASN.1 to C Compiler" and ASN.1
 stands for Abstract Syntax Notation One (ITU-T X.208/ISO 8824).
 Snacc supports a subset of ASN.1 1988.  If you need features of
 ASN.1 1992 or later, snacc is not for you.
 .
 Given an ASN.1 source file(s) snacc can produce:
 .
 1. C routines for BER encoding, decoding, printing and freeing.
 2. C++ routines for BER encoding, decoding, and printing.
 3. A type table that can be used with C driver routines
    for BER encoding, decoding, printing and freeing.
 .
 If you want to build snacc based applications, you want to install
 the libsnacc-dev package, too.  Your application will then depend on
 the snacc libraries, you find in the libsnacc0t64 package.

Package: libsnacc-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libsnacc0t64 (= ${binary:Version})
Recommends: snacc-doc
Description: ASN.1 to C or C++ or IDL compiler, development files
 Snacc is short for "Sample Neufeld ASN.1 to C Compiler" and ASN.1
 stands for Abstract Syntax Notation One (ITU-T X.208/ISO 8824).
 Snacc supports a subset of ASN.1 1988.  If you need features of
 ASN.1 1992 or later, snacc is not for you.
 .
 This package contains the static libraries and C/C++ header files for
 snacc development.

Package: libsnacc0t64
Provides: ${t64:Provides}
X-Time64-Compat: libsnacc0c2
Breaks: libsnacc0c2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libsnacc0
Replaces: libsnacc0c2, libsnacc0
Description: ASN.1 to C or C++ or IDL compiler, shared libraries
 Snacc is short for "Sample Neufeld ASN.1 to C Compiler" and ASN.1
 stands for Abstract Syntax Notation One (ITU-T X.208/ISO 8824).
 Snacc supports a subset of ASN.1 1988.  If you need features of
 ASN.1 1992 or later, snacc is not for you.
 .
 These are the shared libraries for programs developed using snacc.

Package: snacc-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Recommends: evince | gv | postscript-viewer
Description: ASN.1 to C or C++ or IDL compiler, documentation
 Snacc is short for "Sample Neufeld ASN.1 to C Compiler" and ASN.1
 stands for Abstract Syntax Notation One (ITU-T X.208/ISO 8824).
 Snacc supports a subset of ASN.1 1988.  If you need features of
 ASN.1 1992 or later, snacc is not for you.
 .
 The documentation for snacc in PostScript format and LaTeX sources.

=== debian/rules ===
#!/usr/bin/make -f

# This has to be exported to make some magic below work.
export DH_OPTIONS

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# hack to fix #746913, -O2 somehow breaks the build
export DEB_CFLAGS_MAINT_APPEND = -O0

%:
	dh $@ --no-parallel

DB2MAN = http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl

override_dh_auto_build:
	dh_auto_build
	(cd debian && \
		xsltproc --nonet --novalid $(DB2MAN) berdecode.dbk && \
		xsltproc --nonet --novalid $(DB2MAN) snacc-config.dbk)

execute_after_dh_auto_clean:
	find c-lib c++-lib -type l -ls -delete

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/snacc/usr/share/doc/snacc-doc/ \
	$(CURDIR)/debian/snacc/usr/share/man/man1/snacced.1*

override_dh_missing:
	dh_missing --list-missing

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/nexgenta/snacc/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
